# DFL::Settings

The Settings library extends the functionality of QSettings. It emits a signal whenever a setting is changed.
This helps in applying the setings "live", i.e., without restarting the app.
Additionally, it also takes care of default settings and distro settings.


### Dependencies:
* <tt>Qt5 Core and Gui (qtbase5-dev, qtbase5-dev-tools)</tt>
* <tt>meson   (For configuring the project)</tt>
* <tt>ninja   (To build the project)</tt>


### Notes for compiling (Qt5) - linux:

- Install all the dependencies
- Download the sources
  * Git: `git clone https://gitlab.com/desktop-frameworks/settings.git dfl-settings`
- Enter the `dfl-settings` folder
  * `cd dfl-settings`
- Configure the project - we use meson for project management
  * `meson .build --prefix=/usr --buildtype=release`
- Compile and install - we use ninja
  * `ninja -C .build -k 0 -j $(nproc) && sudo ninja -C .build install`


## My System Info
* OS:				Debian Sid
* Qt:				Qt5 5.15.2
* Meson:            0.60.1
* Ninja:            1.10.1

### Known Bugs
* Please test and let us know


### Upcoming
* A nice way to handle unix signals like SIGINT, SIGTERM, SIGHUP, etc from within DesQ*Application (#1)
* Pickup the default font from font-config (#3)
